> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Setup Alfred integration.

> Create Alfred integration to configure the connection with the Alfred account.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json put /v1/organizations/integrations/alfred
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/organizations/integrations/alfred:
    put:
      tags:
        - Integrations Config
      summary: Setup Alfred integration.
      description: >-
        Create Alfred integration to configure the connection with the Alfred
        account.
      operationId: IntegrationsConfigController_setupAlfredIntegrationConfig
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AlfredSetupDto'
      responses:
        '202':
          description: Organization Alfred integration data
      deprecated: true
      security:
        - bearer: []
components:
  schemas:
    AlfredSetupDto:
      type: object
      properties:
        apiKey:
          type: string
          description: The Alfred API key for authentication.
          example: alfred_api_key_123
        apiSecret:
          type: string
          description: The Alfred API secret for authentication.
          example: alfred_api_secret_456
        webhookSecret:
          type: string
          description: >-
            The Alfred webhook secret used to verify incoming webhook
            signatures.
          example: alfred_webhook_secret_789
      required:
        - apiKey
        - apiSecret
        - webhookSecret
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````